OGRE: Ogre::DefaultDebugDrawer Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::DefaultDebugDrawer Class Reference

`#include <OgreDefaultDebugDrawer.h>`

Inheritance diagram for Ogre::DefaultDebugDrawer:
[legend]

## Public Types
enum | DrawType { DT_AXES = 1 << 0 , DT_WIREBOX = 1 << 1 }

## Public Member Functions
| DefaultDebugDrawer ()
void | drawAxes (const Affine3 &pose, float size=1.0f)
| draw coordinate axes
void | drawBone (const Node *node, const Affine3 &transform=Affine3::IDENTITY) override
void | drawFrustum (const Frustum *frust) override
void | drawSceneNode (const SceneNode *node) override
void | drawWireBox (const AxisAlignedBox &aabb, const ColourValue &colour=ColourValue::White)
| Allows the rendering of a wireframe bounding box.
void | setBoneAxesSize (float size)
| Specifes the size of the axes drawn by drawBone().
void | setStatic (bool enable)
| if static, the drawer contents are preserved across frames. They are cleared otherwise.
Public Member Functions inherited from Ogre::DebugDrawer
virtual | ~DebugDrawer ()
Public Member Functions inherited from Ogre::SceneManager::Listener
| Listener ()
virtual | ~Listener ()
virtual void | postUpdateSceneGraph (SceneManager *source, Camera *camera)
| Called after updating the scene graph in this SceneManager.
virtual void | preUpdateSceneGraph (SceneManager *source, Camera *camera)
| Called prior to updating the scene graph in this SceneManager.
virtual void | sceneManagerDestroyed (SceneManager *source)
| Event notifying the listener of the SceneManager's destruction.

## Member Enumeration Documentation

## ◆ DrawType

enum Ogre::DefaultDebugDrawer::DrawType

Enumerator
DT_AXES |
DT_WIREBOX |

## Constructor & Destructor Documentation

## ◆ DefaultDebugDrawer()

Ogre::DefaultDebugDrawer::DefaultDebugDrawer | ( |  | ) |

## Member Function Documentation

## ◆ setStatic()

void Ogre::DefaultDebugDrawer::setStatic | ( | bool | enable | ) |
| inline

if static, the drawer contents are preserved across frames. They are cleared otherwise.

## ◆ drawBone()

void Ogre::DefaultDebugDrawer::drawBone | ( | const Node * | node,
|  | const Affine3 & | transform = Affine3::IDENTITY )
| overridevirtual

Implements Ogre::DebugDrawer.

References Ogre::Affine3::IDENTITY.

## ◆ drawSceneNode()

void Ogre::DefaultDebugDrawer::drawSceneNode | ( | const SceneNode * | node | ) |
| overridevirtual

Implements Ogre::DebugDrawer.

## ◆ drawFrustum()

void Ogre::DefaultDebugDrawer::drawFrustum | ( | const Frustum * | frust | ) |
| overridevirtual

Implements Ogre::DebugDrawer.

## ◆ drawWireBox()

void Ogre::DefaultDebugDrawer::drawWireBox | ( | const AxisAlignedBox & | aabb,
|  | const ColourValue & | colour = ColourValue::White )

Allows the rendering of a wireframe bounding box.

References Ogre::ColourValue::White.

## ◆ drawAxes()

void Ogre::DefaultDebugDrawer::drawAxes | ( | const Affine3 & | pose,
|  | float | size = 1.0f )

draw coordinate axes

## ◆ setBoneAxesSize()

void Ogre::DefaultDebugDrawer::setBoneAxesSize | ( | float | size | ) |

Specifes the size of the axes drawn by drawBone().

The documentation for this class was generated from the following file:

- OgreDefaultDebugDrawer.h